gRPC C#
gRPC C#
Namespaces
Grpc.Core
ClientBase Class
ClientBase Properties
Channel Property
HeaderInterceptor Property
Host Property

ClientBase Host Property

gRPC supports multiple "hosts" being served by a single server. This property can be used to set the target host explicitly. By default, this will be set to null with the meaning "use default host".

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public string Host { get; set; }

    Public Property Host As String
    	Get
    	Set

    public:
    property String^ Host {
    	String^ get ();
    	void set (String^ value);
    }

    member Host : string with get, set

#### Property Value

Type: String
See Also

#### Reference

ClientBase Class
Grpc.Core Namespace